import algosdk from 'algosdk';
import * as common from './common';
export declare class Reader {
    algod: algosdk.Algodv2;
    indexer: algosdk.Indexer;
    network: common.ENetworks;
    constructor(network: common.ENetworks, algod?: algosdk.Algodv2, indexer?: algosdk.Indexer);
    validateAddress(address: string): Promise<boolean>;
    getBalanceAlgos(address: string): Promise<number>;
    getBalanceMicroalgos(address: string): Promise<number>;
    getMinBalance(address: string): Promise<number>;
    getCreatedAssets(address: string): Promise<common.AssetInfo[]>;
    getAsaBalance(address: string, asaId: number): Promise<number>;
    isOptIn(address: string, asaId: number): Promise<boolean>;
    getTokenCirculatingSupply(asaId: number): Promise<number>;
    getAssetIdByMetadataHash(hash: string, creator: string): Promise<number>;
    getAssetMetadata(assetId: number): Promise<string>;
    getPendingTx(address: string): Promise<unknown>;
    thereArePendingTxs(address: string): Promise<boolean>;
}
